Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86026 - kernel BUG at commit.c:535!
Summary: kernel BUG at commit.c:535!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 16:53 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 16:52:55 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-03-12 16:53:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
System froze shortly after this kernel Bug message recorded in messages log:

Mar  8 23:25:11 ylwmetman2 kernel: ------------[ cut here ]------------
Mar  8 23:25:11 ylwmetman2 kernel: kernel BUG at commit.c:535!
Mar  8 23:25:11 ylwmetman2 kernel: invalid operand: 0000
Mar  8 23:25:11 ylwmetman2 kernel: autofs e1000 usb-ohci usbcore ext3 jbd 
aacraid sd_mod scsi_mod  
Mar  8 23:25:11 ylwmetman2 kernel: CPU:    1
Mar  8 23:25:11 ylwmetman2 kernel: EIP:    0010:[<f883d0e4>]    Tainted: P 
Mar  8 23:25:11 ylwmetman2 kernel: EFLAGS: 00010286
Mar  8 23:25:11 ylwmetman2 kernel: 
Mar  8 23:25:11 ylwmetman2 kernel: EIP is at journal_commit_transaction [jbd] 
0xb04 (2.4.18-3smp)
Mar  8 23:25:11 ylwmetman2 kernel: eax: 0000001c   ebx: 0000000a   ecx: 
c02eee60   edx: 000032a3
Mar  8 23:25:11 ylwmetman2 kernel: esi: cc6dc940   edi: c504fc20   ebp: 
f7724000   esp: f7725e78
Mar  8 23:25:11 ylwmetman2 kernel: ds: 0018   es: 0018   ss: 0018
Mar  8 23:25:11 ylwmetman2 kernel: Process kjournald (pid: 192, 
stackpage=f7725000)
Mar  8 23:25:11 ylwmetman2 kernel: Stack: f8843eee 00000217 f7523e6c 00000000 
00000fdc eb757024 00000000 c34dd860 
Mar  8 23:25:11 ylwmetman2 kernel:        d6c56220 00000e8d f7523e00 00000000 
c2dcde00 f7fd4000 ee68c960 d654b3c0 
Mar  8 23:25:11 ylwmetman2 kernel:        d4020500 d42e30c0 ee0116c0 d632b320 
d3e580c0 d6ac87e0 f4efc200 d3b6c900 
Mar  8 23:25:11 ylwmetman2 kernel: Call Trace: [<f8843eee>] .rodata.str1.1 %5

Comment 1 Arjan van de Ven 2003-03-12 16:55:33 UTC
which exact kernel version is this?

> Tainted: P

and what modules are you using ?

Comment 2 Arjan van de Ven 2003-03-12 16:56:07 UTC
(2.4.18-3smp) 
never mind. Please update to the erratum kernel that has several ext3 bugs fixed.

Comment 3 Need Real Name 2003-03-12 19:22:50 UTC
The kernel I have is 2.4.18-3. The latest bugfix on your site is 2.4.18.26.7, 
which would seem to be an even earlier version, or does 27 come after 3??

Joan

Comment 4 Arjan van de Ven 2003-03-12 19:24:25 UTC
26 is higher than 3

Comment 5 Brian Brock 2003-03-25 16:52:55 UTC
Resolving bug, this appears to have been fixed in errata.  Please reopen if the
problem occurs in an erratum kernel (most recent at this time is 2.4.18-27.7.x).


Note You need to log in before you can comment on or make changes to this bug.